Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD ObjectARX und .NET
  ACAD2019 Verbindung externe EXE (VB.Net) geht nicht mehr :(

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ACAD2019 Verbindung externe EXE (VB.Net) geht nicht mehr :( (339 mal gelesen)
Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1678
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 23. Aug. 2019 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


WindowsApp1.zip

 
Hmm nach den Update auf die Version 2019 wollte ich einige Erweiterungen updaten.
Warum kann ich den nun nicht mehr eine externe exe mit einem laufenden Acad Prozess verbinden ??

Folgende Vorgehensweise (wie immer)
Verweise
C:\DEV\Autodesk_ObjectARX_2019_Win_64_and_32_Bit\inc-x64\Autodesk.AutoCAD.Interop.dll
C:\DEV\Autodesk_ObjectARX_2019_Win_64_and_32_Bit\inc-x64\Autodesk.AutoCAD.Interop.Common.dll

Vorgehensweise
Innerhalb von ACADM ist eine Zeichnung geladen
Nun will ich mich über eine externe EXE mit Acad verbinden.
Also im Form_Load das folgende als Test.

********************************************************
Imports System.Reflection

Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common
Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim cadApp As AcadApplication = Nothing

        Dim doc As AcadDocument = Nothing

        cadApp = GetObject(, "AutoCAD.Application")
        MsgBox(cadApp.ActiveDocument.FullName)

'CreateObject("AutoCAD.Application")

    End Sub
End Class
********************************************************

Beim debuggen gibt es aber bei
cadApp = GetObject(, "AutoCAD.Application") einen Fehler

Hat da jemand eine Idee ??

Ich habe das Beispielprojekt mit angehängt und bin für jeden Tip dankbar.

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

yamaha
Mitglied
Konstrukteur


Sehen Sie sich das Profil von yamaha an!   Senden Sie eine Private Message an yamaha  Schreiben Sie einen Gästebucheintrag für yamaha

Beiträge: 352
Registriert: 19.05.2004

Autocad/Inventor 2017, Windows 10 64Bit

erstellt am: 10. Mrz. 2020 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Frank_Schalla 10 Unities + Antwort hilfreich

Hallo Frank,

Deine Frage ist ja schon etwas älter,
trotzdem gesagt.

Ich nutze folgenden Code zum Verbinden,
allerdings von Excel aus per VBA.

cadApp = GetObject(, "AutoCAD.Application.23")

------------------
Gruß Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz